//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class spaciouswidgets_hook_logintemplate extends _HOOK_CLASS_
{

/* !Hook Data - DO NOT REMOVE */
public static function hookData() {
 return array_merge_recursive( array (
  'login' => 
  array (
    0 => 
    array (
      'selector' => '#elLogin',
      'type' => 'add_attribute',
      'attributes_add' => 
      array (
        0 => 
        array (
          'key' => 'style',
          'value' => '{{if settings.spacious_lp_use_bgimage and $bgimg != \'\'}} background: url({$bgimg}) no-repeat top center !important; background-size: cover !important;{{endif}} ',
        ),
      ),
    ),
    1 => 
    array (
      'selector' => 'div.cAcpLoginBox.ipsColumn.ipsColumn_fluid > div.cAcpLoginBox_logo > img',
      'type' => 'replace',
      'content' => '<img src="{resource="logo.png" app="core" location="admin"}" alt="" class="cAcpLoginBox_logo">
',
    ),
    2 => 
    array (
      'selector' => '#elLogin_box > div.ipsColumns[data-role=\'loginForms\'] > div.cAcpLoginBox.ipsColumn.ipsColumn_fluid > div.cAcpLoginBox_logo',
      'type' => 'add_after',
      'content' => '{{if settings.spacious_lp_title_toggle == 1}}
<h1 class="spacious_login_text">
  {setting="spacious_lp_title"}
</h1>
{{endif}}',
    ),
    3 => 
    array (
      'selector' => '#elLogin_box > div.ipsColumns[data-role=\'loginForms\'] > div.cAcpLoginBox.ipsColumn.ipsColumn_fluid > div.ipsPad > h1.ipsType_pageTitle',
      'type' => 'replace',
      'content' => '<h1 class="ipsType_pageTitle">
<i class="fa fa-lock"> </i>
{{if settings.spacious_lp_title_toggle == 1}}
  {setting="spacious_lp_title"}
  {{else}}
{lang="acp_login"}
  {{endif}}
</h1>',
    ),
    4 => 
    array (
      'selector' => '#elLogin_box > div.ipsColumns[data-role=\'loginForms\'] > div.cAcpLoginBox.ipsColumn.ipsColumn_fluid > div.ipsPad > h1.ipsType_pageTitle',
      'type' => 'add_inside_start',
      'content' => '<img src=\'{resource="logo.png" app="core" location="admin"}\' alt=\'\' class=\'ipsLogo {{if settings.spacious_lp_logoblack == 1}}
	invertLogo
{{endif}}\'>',
    ),
    5 => 
    array (
      'selector' => 'html',
      'type' => 'add_inside_start',
      'content' => '{{$bgimg = (isset( \IPS\Settings::i()->spacious_lp_background_image ) ) ? \IPS\File::get( \'core_Theme\', \IPS\Settings::i()->spacious_lp_background_image)->url : \'\';}}
',
    ),
    6 => 
    array (
      'selector' => 'html > head',
      'type' => 'add_inside_end',
      'content' => '{{$spaciousCss = \IPS\Theme::i()->css( \'spaciouslogin.css\', \'spaciouswidgets\', \'admin\' );}}
{{foreach $spaciousCss as $css}}
<link rel=\'stylesheet\' href=\'{expression="\IPS\Http\Url::external( $css )->setQueryString( \'v\', \IPS\SUITE_UNIQUE_KEY )"}\' media=\'all\'>
{{endforeach}}

{{if isset (\IPS\Settings::i()->sacp_favico) and \IPS\Settings::i()->sacp_favico !== \'\'}}

{{$favi_link = \IPS\File::get( "core_Theme", \IPS\Settings::i()->sacp_favico )->url;}}	
<link rel=\'shortcut icon\' href=\'{$favi_link}\'>

{{endif}}',
    ),
  ),
), parent::hookData() );
}
/* End Hook Data */


}
