//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class spaciouswidgets_hook_s3DirNames extends _HOOK_CLASS_
{


	/**
	 * Display name
	 *
	 * @param	array	$settings	Configuration settings
	 * @return	string
	 */
	static public function displayName( $settings )
	{
		try
		{
		// This is stupid way to do this. I know.
		  $moar = $settings['bucket'];
	
			if ($settings['endpoint'] != "")
			{
				$moar = $settings['endpoint'] . "/" . $moar;
			}
	
			if ($settings['bucket_path'] != "")
			{
				$moar = $moar . "/" . $settings['bucket_path'];
			}
	
	      if ($settings['bucket_path'] != "" || $settings['endpoint'] != "")
	      {
	        return \IPS\Member::loggedIn()->language()->addToStack( 'filehandler_display_name', FALSE, array( 'sprintf' => array( \IPS\Member::loggedIn()->language()->addToStack('filehandler__Amazon'), $moar ) ) );
	      }
	      else
	      {
	        return \IPS\Member::loggedIn()->language()->addToStack( 'filehandler_display_name', FALSE, array( 'sprintf' => array( \IPS\Member::loggedIn()->language()->addToStack('filehandler__Amazon'), $settings['bucket'] ) ) );
	        
	      }
			
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}

}
