//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class spaciouswidgets_hook_acpMenuLinks extends _HOOK_CLASS_
{

/* !Hook Data - DO NOT REMOVE */
public static function hookData() {
 return array_merge_recursive( array (
  'appmenu' => 
  array (
    0 => 
    array (
      'selector' => '#acpAppList > li > ul.ipsList_reset.ipsScrollbar.ipsScrollbar_light',
      'type' => 'replace',
      'content' => '<ul class=\'ipsList_reset ipsScrollbar ipsScrollbar_light\'>
				<li class=\'acpAppList_header\'>{lang="menutab__{$tab}"}</li>
				{{foreach $items as $appAndModule => $item}}
					{{if count( $item ) > 1}}
						<li data-menuKey=\'{$appAndModule}\'>
							<h3>{lang="menu__{$appAndModule}"}</h3>
							<ul class=\'ipsList_reset\'>
								{{foreach $item as $key => $url}}
                              <a href=\'{url="$url"}\'>
									<li>
										{{$badgeNumber = NULL; try { $badgeNumber = \IPS\Application::load( mb_substr( $appAndModule, 0, mb_strpos( $appAndModule, \'_\' ) ) )->acpMenuNumber( $url ); } catch( \Exception $ex ){ } }}
										{{if $badgeNumber}}
											
												{lang="menu__{$appAndModule}_{$key}"}
												<span class=\'ipsNotificationCount\'>{$badgeNumber}</span>
											
										{{else}}
											{lang="menu__{$appAndModule}_{$key}"}
										{{endif}}
									</li>
                              </a>
								{{endforeach}}
							</ul>
						</li>
					{{else}}
						<li data-menuKey=\'{$appAndModule}\'>
							<h3>{lang="menu__{$appAndModule}"}</h3>
							<ul class=\'ipsList_reset\'>
								{{foreach $item as $key => $url}}
                              <a href=\'{url="$url"}\'>
									<li>
										{{$badgeNumber = NULL; try { $badgeNumber = \IPS\Application::load( mb_substr( $appAndModule, 0, mb_strpos( $appAndModule, \'_\' ) ) )->acpMenuNumber( $url ); } catch( \Exception $ex ){ } }}
										{{if $badgeNumber}}
											
												{lang="menu__{$appAndModule}_{$key}"}
												<span class=\'ipsNotificationCount\'>{$badgeNumber}</span>
											
										{{else}}
											{lang="menu__{$appAndModule}_{$key}"}
										{{endif}}
									</li>
                              </a>
								{{endforeach}}
							</ul>
						</li>
					{{endif}}
				{{endforeach}}
			</ul>',
    ),
  ),
), parent::hookData() );
}
/* End Hook Data */


}
