//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class spaciouswidgets_hook_dashboardTheme extends _HOOK_CLASS_
{

/* !Hook Data - DO NOT REMOVE */
public static function hookData() {
 return array_merge_recursive( array (
  'onlineAdmins' => 
  array (
    0 => 
    array (
      'selector' => 'ul.ipsDataList.ipsDataList_reducedSpacing > li.ipsDataItem > div.ipsDataItem_main',
      'type' => 'replace',
      'content' => '<div class=\'ipsDataItem_main ipsPhotoPanel ipsPhotoPanel_small\'>
				{template="userPhoto" group="global" app="core" params="$admin[\'user\'], \'small\'"}
				<div class="spacious_adminsOnline"><h4 class=\'ipsDataItem_title\'><a href=\'{$admin[\'user\']->url()}\' target=\'_blank\'>{$admin[\'user\']->name}</a></h4>
				<br><span class=\'ipsDataItem_meta\'>
					{datetime="$admin[\'session\'][\'session_running_time\']"}
				</span>
					</div>
			</div>',
    ),
  ),
  'dashboardHeader' => 
  array (
    0 => 
    array (
      'selector' => '#acpPageHeader > div > p.ipsType_reset.ipsType_normal',
      'type' => 'replace',
      'content' => '		<p class=\'ipsType_reset ipsType_normal\'>
			{lang="acp_version_number" sprintf="\IPS\Application::load(\'core\')->version"} - {setting="sacp_acp_title"}
		</p>
',
    ),
    1 => 
    array (
      'selector' => '#acpPageHeader > div > h1.ipsType_pageTitle',
      'type' => 'replace',
      'content' => '{{$mbrs = json_decode( \IPS\Settings::i()->spacious_members_online, TRUE );}}
{{$online_count = $mbrs[\'members_online\'] + $mbrs[\'guests_online\'] + $mbrs[\'anon_online\'];}}

		<h1 class=\'ipsType_pageTitle spacious_db_onlinecount\'>
			{lang="online_user_count" pluralize="$online_count"}
			{{if \IPS\IN_DEV}}
				{template="searchKeywords" group="global" app="core" params="\'app=\' . \IPS\Request::i()->app . \'&module=\' . \IPS\Request::i()->module . \'&controller=\' . \IPS\Request::i()->controller . ( ( isset( \IPS\Request::i()->do ) and \IPS\Request::i()->do != \'do\' ) ? ( \'&do=\' . \IPS\Request::i()->do ) : \'\' ) . ( ( \IPS\Request::i()->controller == \'enhancements\' and ( isset( \IPS\Request::i()->id ) ) ) ? ( \'&id=\' . \IPS\Request::i()->id ) : \'\' )"}
			{{endif}}
		</h1>',
    ),
  ),
  'dashboard' => 
  array (
    0 => 
    array (
      'selector' => '#acpWarnings > div.ipsMessage.ipsMessage_warning',
      'type' => 'replace',
      'content' => '{{if settings.sacp_phpfunctions_warning == 0}}

{{$warny = mb_ereg_match(\IPS\Member::loggedIn()->language()->addToStack(\'disable_functions_title\'),$warning[\'title\']);}}
{{$warny_two = mb_ereg_match(\IPS\Member::loggedIn()->language()->addToStack(\'open_basedir_title\'),$warning[\'title\']);}}

{{if $warny == FALSE && $warny_two == FALSE}}
<div class=\'ipsMessage ipsMessage_warning\'>
			<h4 class=\'ipsMessage_title\'>{$warning[\'title\']}</h4>
			<div class=\'ipsType_normal ipsType_reset\'>{$warning[\'description\']|raw}</div>
		</div>
		<br>
{{endif}}

{{else}}

<div class=\'ipsMessage ipsMessage_warning\'>
			<h4 class=\'ipsMessage_title\'>{$warning[\'title\']}</h4>
			<div class=\'ipsType_normal ipsType_reset\'>{$warning[\'description\']|raw}</div>
		</div>
		<br>

{{endif}}
',
    ),
  ),
), parent::hookData() );
}
/* End Hook Data */


}
